summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xhooks/debian-live-pxe-server17
-rw-r--r--lists/debian-live-pxe-server22
2 files changed, 39 insertions, 0 deletions
diff --git a/hooks/debian-live-pxe-server b/hooks/debian-live-pxe-server
new file mode 100755
index 0000000..565ead5
--- /dev/null
+++ b/hooks/debian-live-pxe-server
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+## live-build(7) - System Build Scripts
+## Copyright (C) 2006-2010 Daniel Baumann <daniel@debian.org>
+##
+## live-build comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+set -e
+
+# Adding symlink in /srv/tftp for debian-installer netboot images
+ARCHITECTURE="$(dpkg --print-architecture)"
+
+rm -rf /srv/tftp
+ln -s /usr/lib/debian-installer/images/${ARCHITECTURE}/text /srv/tftp
diff --git a/lists/debian-live-pxe-server b/lists/debian-live-pxe-server
new file mode 100644
index 0000000..91d9be5
--- /dev/null
+++ b/lists/debian-live-pxe-server
@@ -0,0 +1,22 @@
+# /usr/share/live/build/lists/debian-live-pxe-server - package list for live-build(7)
+
+## LH: Debian Live
+#include <standard>
+
+bind9
+
+#if DISTRIBUTION lenny
+dhcp3-server
+#endif
+#if DISTRIBUTION squeeze wheezy sid
+isc-dhcp-server
+#endif
+
+nfs-kernel-server
+syslinux-common
+tftpd-hpa
+
+#if DISTRIBUTION squeeze wheezy sid
+debian-installer-netboot-amd64
+debian-installer-netboot-i386
+#endif